3 Replies Latest reply on Feb 27, 2018 3:54 PM by Nathan Wright

    How to read the radius of a feature fillet with the API?

    Nathan Wright

      Hello everyone! Long time viewer, first time caller. I am quite a novice at using the SolidWorks API, but am quite enjoying it. I have had much success with making simple macros in the past with VBA, but am now running into a bit of an issue:

       

      I have many simple feature fillets that were created by a customer and I am attempting to ascertain what the values of these set radii are. However, using IGetRadius or GetRadius merely tells me the default radius of an edge, and NOT the actual customer-input radius. I am sure I am missing something simple. Is there a trick to this I am missing? This is an assembly with many parts. These parts have the fillets listed as features inside of them. I am having no trouble iterating through each feature of each part in the assembly because I am doing other operations that are going through just fine. I just cannot pull the proper radius for some reason...

       

      I would prefer a solution that does not use AccessSelections() because Microsoft Visual Basic for Applications always bugs out on me when attempting ReleaseSelectionAccess() saying that there is a syntax error (calling filletInstance.ReleaseSelectionAccess() where filletInstance is of type SldWorks.ISimpleFilletFeatureData2). Unless there is a trick to this as well...

       

      Thanks in advance!

      -Nathan